#ifndef MENB_H
#define MENB_H

#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include "Point.h"
#include "polarPoint.h"
#include "PeNB.h"
using namespace std;

class MeNB
{
	public:
	//MeNB(Point position,int radius, int id, int power, int freq, int NuRRHs,vector<PeNB>& RRHs);		
		MeNB(Point position,double radius, int id, int power, int freq);//constructor
		Point getPosition(void);
		double getRadius(void);
		int getID(void);
		int getPower(void);
		int getFreq(void);
		//int getNuRRH(void);
		//vector<PeNB> getRRHs(void);
		vector<Point>& getRegionCommonAreas(void);
		void setPosition(Point point);
		void setRadius(double radius);
		void setID(int id);
		void setPower(int power);
		void setFreq(int freq);
		//void setRRHs(vector<PeNB> RRHs);
		void setRegionCommonAreas(vector<Point> regionCommonAreas);
		void addRegionCommonAreas(Point point);
	private:
		Point position;
		double radius;
		int id;
		int power;
		int freq;
		//int NuRRHs;
		//vector<PeNB> RRHs;
		vector<Point> regionCommonAreas;
				
};
#endif // MENB_H

